Skip to main content
GET
Get Loyalty Rules

Authorizations

X-API-KEY
string
header
required

Query Parameters

organizationId
string<uuid>

Unique identifier for the organization to filter by

Example:

"123e4567-e89b-12d3-a456-426614174001"

websiteId
string<uuid>

Unique identifier for the website to filter by

Example:

"123e4567-e89b-12d3-a456-426614174002"

collectionAddress
string

Address of the collection to filter by

Example:

"0x1234567890abcdef1234567890abcdef12345678"

loyaltyRuleGroupId

ID(s) of the loyalty rule group(s) to filter results. Single ID or array for multiple groups (shared cursor when multiple).

Example:

"123e4567-e89b-12d3-a456-426614174004"

startingAfter
string

Pagination cursor to start after a specific resource ID

Example:

"123e4567-e89b-12d3-a456-426614174010"

limit
number
default:10

Maximum number of records to return (max 100)

Required range: 1 <= x <= 100
Example:

50

loyaltyRuleId

The IDs of the loyalty rule

Example:

"123e4567-e89b-12d3-a456-426614174001"

isActive
enum<string>

If true this will only return active rules, the rules for which the startTime is in the past and the endTime is in the future

Available options:
true,
false
Example:

true

allotedToUserId

IDs of the users to filter results by

Example:

"123e4567-e89b-12d3-a456-426614174005"

allotedUserGroupId
string<uuid>

ID of the user group to filter results by

Example:

"123e4567-e89b-12d3-a456-426614174006"

isSpecial
enum<string>

If true this will only return special rules, special rules are the rules that are used for anti sybil as honey pot

Available options:
true,
false
Example:

true

includeDeleted
boolean
default:false

Whether to include deleted/archived records

Example:

false

Response

200

data
object[]
required
hasNextPage
boolean
required